name: example-name
version: 0.1.0.0
git: "https://gitlab.com/keid/example-name"
license: BSD3
author: "IC Rainbow"
maintainer: "aenor.realm@gmail.com"
copyright: "IC Rainbow"

extra-source-files:
- README.md

dependencies:
- base >= 4.7 && < 5
- rio

executables:
  keid-example-name:
    source-dirs: app
    main: Main.hs
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - geomancy
    - keid-core >= 0.1.6.1
    - keid-geometry
    - keid-render-basic
    - resourcet
    - rio-app
    - tagged
    - vulkan
    - vulkan-utils
    - VulkanMemoryAllocator

ghc-options:
- -Wall
- -Wcompat
- -Widentities
- -Wincomplete-record-updates
- -Wincomplete-uni-patterns
- -Wpartial-fields
- -Wredundant-constraints

language: GHC2021

default-extensions:
- NoImplicitPrelude
- NoStarIsType

- ApplicativeDo
- BlockArguments
- DataKinds
- DefaultSignatures
- DerivingStrategies
- DerivingVia
- DuplicateRecordFields
- FunctionalDependencies
- GADTs
- InstanceSigs
- LambdaCase
- LiberalTypeSynonyms
- NumDecimals
- OverloadedLists
- OverloadedRecordDot
- OverloadedStrings
- PatternSynonyms
- QuantifiedConstraints
- QuasiQuotes
- RecordWildCards
- StrictData
- TemplateHaskell
- TypeFamilies
- UnicodeSyntax
- ViewPatterns
